import {Button} from "react-materialize";
import React from "react";
import {FlowRouter} from 'meteor/ostrio:flow-router-extra';
import {i18n} from 'meteor/universe:i18n';

const BackButton = ({
                        backRoute = 'home',
                        backRouteParams = {},
                        onClick = null
                    }) => {
    const T = i18n.createComponent();
    return <Button
        className="btn waves-effect waves-light btn-primary"
        type="button"
        onClick={(event) => {
            if (onClick) {
                onClick(event);
            } else {
                event.preventDefault();
                FlowRouter.go(backRoute, backRouteParams);
            }
        }}
    >
        <i className="fa fa-chevron-left"></i>
        &nbsp;
        <T _props={{className: 'hide-on-med-and-down'}}>messages.back</T>
    </Button>
};

export default BackButton;