import {Button} from "react-materialize";
import React from "react";
import {FlowRouter} from 'meteor/ostrio:flow-router-extra';
import {i18n} from 'meteor/universe:i18n';

/**
 * the button is used above the table
 *
 * @param insertRoute
 * @param insertRouteParams
 * @param label
 * @param icon2class
 * @returns {JSX.Element}
 * @constructor
 */
const InsertButton = (
    {
        insertRoute, insertRouteParams = {},
        label = i18n.__('messages.insert'),
        icon2class = null,
        buttonStyle = {marginTop: '15px'},
        buttonClassName = "btn waves-effect waves-light btn-success"

    }
) => {
    return <Button
        style={buttonStyle}
        className={buttonClassName}
        onClick={() => {
            FlowRouter.go(insertRoute, insertRouteParams)
        }}
    >
        <i className="fa fa-plus"></i>&nbsp;
        {icon2class && <React.Fragment><i className={icon2class}></i>&nbsp;</React.Fragment>}
        <span className="hide-on-med-and-down">{label}</span>
    </Button>
}

export default InsertButton;