import {Meteor} from "meteor/meteor";
import React, {useEffect, useRef, useState} from "react";
import {i18n} from 'meteor/universe:i18n';

/**
 * see cordova-plugin-network-information
 *
 * @param props
 * @returns {JSX.Element|*}
 * @constructor
 */
const Online = (props) => {
    const T = i18n.createComponent();
    const [isOffline, setIsOffline] = useState(false);
    const checkOnline = () => {
        if (Meteor.isCordova) {
            if (navigator.connection.type === 'none') {
                setIsOffline(true);
            } else {
                setIsOffline(false);
            }
        }
    }
    useEffect(() => {
        checkOnline();
        let timer = null;
        if (Meteor.isCordova) {
            timer = Meteor.setInterval(checkOnline, 1000);
        }
        return () => {
            if (timer) {
                Meteor.clearInterval(timer)
                timer = null;
            }
        }
    }, []);


    return isOffline
        ? <div style={{textAlign: 'center', paddingTop: '50px'}}>
            <T>messages.no_connection</T>
        </div>
        : props.children;
};

export default Online;