import React, { Component } from "react";
import { Random } from "meteor/random";
import M from "materialize-css";
import { i18n } from "meteor/universe:i18n";
import { Checkbox,} from "react-materialize";

class ColumnsButton extends Component {
  componentDidMount() {
    const options = {
      inDuration: 250,
      outDuration: 250,
      opacity: 0.5,
      dismissible: true,
      startingTop: "4%",
      endingTop: "10%",
    };
    M.Modal.init(this.Modal, options);

    // let instance = M.Modal.getInstance(this.Modal);
    // instance.open();
    // instance.close();
    // instance.destroy();
  }

  componentWillUnmount() {
    if (this.Modal) {
      const instance = M.Modal.getInstance(this.Modal);
      instance.close();
      instance.destroy();
    }
  }

  render() {
    const id = "modal" + Random.id();
    const headers = this.props.headers || [];
    const {columns,  setColumn} = this.props;
    return (
      <React.Fragment>
        <a href={"#"} className={"modal-trigger"} data-target={id}>
          <i className="fa fa-columns "></i>
        </a>
        <div
          ref={(Modal) => {
            this.Modal = Modal;
          }}
          id={id}
          className="modal"
        >
          <div className="modal-content">
            <h4 style={{paddingRight: '10px'}}>
                {i18n.__("messages.select_columns")}
                <i className="fa fa-times right modal-close"></i>
            </h4>
            <div style={{ padding: "10px" }}>
              {headers
                .filter((h) => h.field && h.field !== "action")
                .map((h, index) => (
                  <div key={h.field + index}>
                    <Checkbox
                      name={'column-' + h.field + index}
                      id={'column-' + h.field + index}
                      label={h.name}
                      checked={!!columns[h.field]}
                      value={"yes"}
                      onChange={(event) => {
                         setColumn(h.field, event.target.checked);
                      }}
                    />
                  </div>
                ))}
            </div>
          </div>
        </div>
      </React.Fragment>
    );
  }
}

export default ColumnsButton;
