import React, {Component} from "react";
import {Random} from "meteor/random";
import M from "materialize-css";

/**
 * opened modal dialog
 */
class ConfirmDialog extends Component {
    componentDidMount() {
        const options = {
            inDuration: 250,
            outDuration: 250,
            opacity: 0.5,
            dismissible: false,
            startingTop: "4%",
            endingTop: "10%"
        };
        M.Modal.init(this.Modal, options);

        let instance = M.Modal.getInstance(this.Modal);
        instance.open();

        // instance.close();
        // instance.destroy();
    }

    componentWillUnmount() {
        if (this.Modal) {
            const instance = M.Modal.getInstance(this.Modal);
            instance.close();
            instance.destroy();
        }
    }

    render() {
        const id = 'modal' + Random.id();
        const title = this.props.title || '';
        const message = this.props.message || '';
        const yesAction = this.props.yesAction || null;
        const noAction = this.props.noAction || null;

        return <div
                ref={Modal => {
                    this.Modal = Modal;
                }}
                id={id}
                className="modal"
            >
                <div className="modal-content">
                    <h4>{title}</h4>
                    <div>{message}</div>
                </div>
                <div className="modal-footer">
                    <a className="modal-close waves-effect waves-red btn btn-danger" onClick={event => {
                        if (noAction) {
                            noAction();
                        }
                    }}>Nie</a>
                    <a className="modal-close waves-effect waves-green btn btn-success"
                       style={{marginLeft: '15px'}}
                       onClick={event => {
                           if (yesAction) {
                               yesAction();
                           }
                       }}>Áno</a>
                </div>
            </div>
    }
};

export default ConfirmDialog;